Crystal Space: csRenderBuffer::Props Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csRenderBuffer::Props Struct Reference

To scrape off a few bytes use bitfields; assumes values are in sane limits. More...

`#include <csgfx/renderbuffer.h>`

List of all members.

## Public Member Functions
| Props (csRenderBufferType type, csRenderBufferComponentType componentType, uint componentCount, bool copy)
## Public Attributes
csRenderBufferType | bufferType: 2
| hint about main usage
uint | compCount: 8
| number of components per element
csRenderBufferComponentType | comptype: 4
| datatype for each component
bool | doCopy: 1
| should we copy data, or just use supplied buffer
bool | doDelete: 1
| if buffer should be deleted on deallocation
bool | isIndex: 1
| if this is index-buffer
bool | isLocked: 1
| currently locked? (to prevent recursive locking)
uint | lastLock: 2
| last type of lock used
size_t | offset: 8
| offset from buffer start to data
size_t | stride: 8
| buffer stride

## Detailed Description

To scrape off a few bytes use bitfields; assumes values are in sane limits.

Definition at line 251 of file renderbuffer.h.

## Member Data Documentation

csRenderBufferType csRenderBuffer::Props::bufferType

hint about main usage

Definition at line 254 of file renderbuffer.h.

uint csRenderBuffer::Props::compCount

number of components per element

Definition at line 259 of file renderbuffer.h.

csRenderBufferComponentType csRenderBuffer::Props::comptype

datatype for each component

Definition at line 256 of file renderbuffer.h.

bool csRenderBuffer::Props::doCopy

should we copy data, or just use supplied buffer

Definition at line 266 of file renderbuffer.h.

bool csRenderBuffer::Props::doDelete

if buffer should be deleted on deallocation

Definition at line 268 of file renderbuffer.h.

bool csRenderBuffer::Props::isIndex

if this is index-buffer

Definition at line 272 of file renderbuffer.h.

bool csRenderBuffer::Props::isLocked

currently locked? (to prevent recursive locking)

Definition at line 270 of file renderbuffer.h.

uint csRenderBuffer::Props::lastLock

last type of lock used

Definition at line 275 of file renderbuffer.h.

size_t csRenderBuffer::Props::offset

offset from buffer start to data

Definition at line 263 of file renderbuffer.h.

size_t csRenderBuffer::Props::stride

buffer stride

Definition at line 261 of file renderbuffer.h.

The documentation for this struct was generated from the following file:

- csgfx/renderbuffer.h